Bug 1574193 (CVE-2018-10392) - CVE-2018-10392 libvorbis: heap buffer overflow in mapping0_forward function
Summary: CVE-2018-10392 libvorbis: heap buffer overflow in mapping0_forward function
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-10392
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1574198 1574199 1574200 1574201 1581696 1581697
Blocks: 1574197
TreeView+ depends on / blocked
 
Reported: 2018-05-02 19:15 UTC by Laura Pardo
Modified: 2019-11-06 00:51 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A heap-based buffer overflow was found in the encoder functionality of the libvorbis library. An attacker could create a malicious file to cause a denial of service, crashing the application containing the library.
Clone Of:
Environment:
Last Closed: 2019-11-06 00:51:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3703 None None None 2019-11-05 22:06:38 UTC

Description Laura Pardo 2018-05-02 19:15:53 UTC
A flaw was found in libvorbis 1.3.6. The mapping0_forward function in mapping0.c file in Xiph.Org does not validate the number of channels, which allows remote attackers to cause a denial of service (heap-based buffer overflow or over-read) via a crafted file.


References:
https://gitlab.xiph.org/xiph/vorbis/issues/2335

Comment 1 Laura Pardo 2018-05-02 19:26:09 UTC
Created libvorbis tracking bugs for this issue:

Affects: fedora-all [bug 1574199]


Created mingw-libvorbis tracking bugs for this issue:

Affects: epel-7 [bug 1574198]
Affects: fedora-all [bug 1574200]

Comment 8 errata-xmlrpc 2019-11-05 22:06:36 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:3703 https://access.redhat.com/errata/RHSA-2019:3703

Comment 9 Product Security DevOps Team 2019-11-06 00:51:12 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-10392


Note You need to log in before you can comment on or make changes to this bug.